@echo off
REM ---------------------------------------------------------------------------
REM This Bat file can be used in System/X Unregistered...
REM and its required for FileId v1.0+ ExtDiz door by CORONER of System-X!
REM you can add more archive supports if needed the FileId door will support'em
REM ---------------------------------------------------------------------------

if %2==ZIP goto ZIP
if %2==LHA goto LHA
if %2==LZH goto LHA
if %2==ARJ goto ARJ
if %2==GIF goto GIF
if %2==EXE goto EXE
if %2==DMS goto DMS
txtdiz %1
goto end

:ZIP
pkunzip %1 file_id.diz >NUL
goto end

:LHA
lha x %1 file_id.diz -a -m >NUL
attrib -h -r -s -a file_id.diz
txtcon file_id.diz
goto end

:ARJ
arj x %1 file_id.diz >NUL
goto end

:GIF
c:\bbs\gifdiz %1
goto end

:EXE
exediz %1
goto end

:DMS
dmsdiz %1
goto end

:END
